#include <iostream>
#include <vector>
#include <queue>

using namespace std;

const int nmax = 150005;

int n, m;

vector<int> solve(vector<pair<int, int>> r, vector<long long> d, vector<int> s, vector<int> t, vector<bool> ii)
{
    n = r.size() + 1; m = d.size();
    for(int i = 0; i < m; i++) s[i]++, t[i]++;

    vector<int> ans; ans.clear();
    for(int i = 0; i < m; i++)
        ans[i] = t[i] - s[i];

    return ans;
}